From cd16fe1e31b9f3e60631c955e6a5881fd3265c54 Mon Sep 17 00:00:00 2001
From: Young Jin Park <youngjinpark20@gmail.com>
Date: Wed, 5 Jun 2019 10:42:57 +0900
Subject: [PATCH 1/2] python3-aiorpcx: update to 0.17.0.

---
 srcpkgs/python3-aiorpcx/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python3-aiorpcx/template b/srcpkgs/python3-aiorpcx/template
index f5ef9073716..42b6dc541bf 100644
--- a/srcpkgs/python3-aiorpcx/template
+++ b/srcpkgs/python3-aiorpcx/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-aiorpcx'
 pkgname=python3-aiorpcx
-version=0.11.0
+version=0.17.0
 revision=1
 archs=noarch
 wrksrc="aiorpcX-${version}"
@@ -15,7 +15,7 @@ license="MIT"
 homepage="https://github.com/kyuupichan/aiorpcX"
 # missing license in PyPI tarball
 distfiles="https://github.com/kyuupichan/aiorpcX/archive/${version}.tar.gz"
-checksum=87d1a297b9cfbb57a1c3ac4d06da5d3d114d1e751b2a9e81e9c82b04420dda5c
+checksum=b743629e8e3b3783d0a2fe3a25e55f30a35d7f148d863c8b6f0c50db6350c379
 
 do_check() {
 	python3 -m pytest

From b26c20d6b99909ad248d736135661216b475d03d Mon Sep 17 00:00:00 2001
From: Young Jin Park <youngjinpark20@gmail.com>
Date: Wed, 5 Jun 2019 12:17:03 +0900
Subject: [PATCH 2/2] New package: electrum-ltc-3.3.6.1

closes #9641
---
 srcpkgs/electrum-ltc/patches/no-certifi.patch | 106 ++++++++++++++++++
 srcpkgs/electrum-ltc/template                 |  20 ++++
 2 files changed, 126 insertions(+)
 create mode 100644 srcpkgs/electrum-ltc/patches/no-certifi.patch
 create mode 100644 srcpkgs/electrum-ltc/template

diff --git a/srcpkgs/electrum-ltc/patches/no-certifi.patch b/srcpkgs/electrum-ltc/patches/no-certifi.patch
new file mode 100644
index 00000000000..432b1e8c692
--- /dev/null
+++ b/srcpkgs/electrum-ltc/patches/no-certifi.patch
@@ -0,0 +1,106 @@
+diff --git contrib/requirements/requirements.txt contrib/requirements/requirements.txt
+index 4ca2422..ac60e57 100644
+--- contrib/requirements/requirements.txt
++++ contrib/requirements/requirements.txt
+@@ -8,4 +8,3 @@ qdarkstyle<3.0
+ aiorpcx>=0.17,<0.18
+ aiohttp>=3.3.0
+ aiohttp_socks
+-certifi
+diff --git electrum_ltc/interface.py electrum_ltc/interface.py
+index 8a019af..7a5a7e7 100644
+--- electrum_ltc/interface.py
++++ electrum_ltc/interface.py
+@@ -38,7 +38,6 @@ import aiorpcx
+ from aiorpcx import RPCSession, Notification, NetAddress
+ from aiorpcx.curio import timeout_after, TaskTimeout
+ from aiorpcx.jsonrpc import JSONRPC
+-import certifi
+ 
+ from .util import ignore_exceptions, log_exceptions, bfh, SilentTaskGroup
+ from . import util
+@@ -55,7 +54,7 @@ if TYPE_CHECKING:
+     from .network import Network
+ 
+ 
+-ca_path = certifi.where()
++ca_path = '/etc/ssl/certs/ca-certificates.crt'
+ 
+ BUCKET_NAME_OF_ONION_SERVERS = 'onion'
+ 
+diff --git electrum_ltc/paymentrequest.py electrum_ltc/paymentrequest.py
+index 205eda7..1ab1df2 100644
+--- electrum_ltc/paymentrequest.py
++++ electrum_ltc/paymentrequest.py
+@@ -28,7 +28,6 @@ import time
+ import traceback
+ import json
+ 
+-import certifi
+ import urllib.parse
+ import aiohttp
+ 
+@@ -53,7 +52,7 @@ _logger = get_logger(__name__)
+ REQUEST_HEADERS = {'Accept': 'application/litecoin-paymentrequest', 'User-Agent': 'Electrum'}
+ ACK_HEADERS = {'Content-Type':'application/litecoin-payment','Accept':'application/litecoin-paymentack','User-Agent':'Electrum'}
+ 
+-ca_path = certifi.where()
++ca_path = '/etc/ssl/certs/ca-certificates.crt'
+ ca_list = None
+ ca_keyID = None
+ 
+diff --git electrum_ltc/util.py electrum_ltc/util.py
+index 0df8786..607e043 100644
+--- electrum_ltc/util.py
++++ electrum_ltc/util.py
+@@ -44,7 +44,6 @@ import ssl
+ import aiohttp
+ from aiohttp_socks import SocksConnector, SocksVer
+ from aiorpcx import TaskGroup
+-import certifi
+ 
+ from .i18n import _
+ from .logging import get_logger, Logger
+@@ -62,7 +61,7 @@ def inv_dict(d):
+     return {v: k for k, v in d.items()}
+ 
+ 
+-ca_path = certifi.where()
++ca_path = '/etc/ssl/certs/ca-certificates.crt'
+ 
+ 
+ base_units = {'LTC':8, 'mLTC':5, 'uLTC':2, 'sat':0}
+diff --git electrum_ltc/x509.py electrum_ltc/x509.py
+index c38edc7..e745e48 100644
+--- electrum_ltc/x509.py
++++ electrum_ltc/x509.py
+@@ -343,7 +343,6 @@ def load_certificates(ca_path):
+ 
+ 
+ if __name__ == "__main__":
+-    import certifi
+ 
+-    ca_path = certifi.where()
++    ca_path = '/etc/ssl/certs/ca-certificates.crt'
+     ca_list, ca_keyID = load_certificates(ca_path)
+diff --git run_electrum run_electrum
+index b10462c..805dc8f 100755
+--- run_electrum
++++ run_electrum
+@@ -55,7 +55,6 @@ def check_imports():
+         import dns
+         import pyaes
+         import ecdsa
+-        import certifi
+         import qrcode
+         import google.protobuf
+         import jsonrpclib
+@@ -69,7 +68,7 @@ def check_imports():
+     from google.protobuf import descriptor_pb2
+     from jsonrpclib import SimpleJSONRPCServer
+     # make sure that certificates are here
+-    assert os.path.exists(certifi.where())
++    assert os.path.exists('/etc/ssl/certs/ca-certificates.crt')
+ 
+ 
+ if not is_android:
diff --git a/srcpkgs/electrum-ltc/template b/srcpkgs/electrum-ltc/template
new file mode 100644
index 00000000000..ad6f745e152
--- /dev/null
+++ b/srcpkgs/electrum-ltc/template
@@ -0,0 +1,20 @@
+# Template file for 'electrum-ltc'
+pkgname=electrum-ltc
+version=3.3.6.1
+revision=1
+archs=noarch
+build_style=python3-module
+hostmakedepends="python3-setuptools python3-PyQt5-devel-tools"
+depends="python3-aiohttp python3-aiohttp_socks python3-aiorpcx
+ python3-dnspython python3-ecdsa python3-jsonrpclib python3-protobuf
+ python3-pyaes python3-pycryptodome python3-PyQt5 python3-qrcode"
+short_desc="Lightweight Litecoin port of the Electrum Bitcoin wallet"
+maintainer="Young Jin Park <youngjinpark20@gmail.com>"
+license="MIT"
+homepage="https://electrum-ltc.org/"
+distfiles="https://github.com/pooler/electrum-ltc/archive/${version}.tar.gz"
+checksum="8c5ab5f496bc0dcedb6efcf7dee4c936dcf6fddbea58ebb081b4aa4bb2faf624"
+
+post_install() {
+	vlicense LICENCE
+}
